Cyan Web API - Version 1


GET api/messageAuditTypes

            Gets all MessageAuditTypes
            

Response Information

Response body formats

application/json, text/json

Sample:
[
  {
    "messageAuditTypeId": "bb820185-bdf9-44e9-98a8-812639a188d7",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "createdDateUtc": "2026-09-29T21:12:38.5708527+00:00",
    "updatedDateUtc": "2026-09-29T21:12:38.5708527+00:00"
  },
  {
    "messageAuditTypeId": "bb820185-bdf9-44e9-98a8-812639a188d7",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "createdDateUtc": "2026-09-29T21:12:38.5708527+00:00",
    "updatedDateUtc": "2026-09-29T21:12:38.5708527+00:00"
  },
  {
    "messageAuditTypeId": "bb820185-bdf9-44e9-98a8-812639a188d7",
    "lookupKey": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "createdDateUtc": "2026-09-29T21:12:38.5708527+00:00",
    "updatedDateUtc": "2026-09-29T21:12:38.5708527+00:00"
  }
]

application/xml, text/xml

Sample:
<ArrayOfMessageAuditTypeRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <MessageAuditTypeRepresentation>
    <CreatedDateUtc>2026-09-29T21:12:38.5708527+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-29T21:12:38.5708527+00:00</UpdatedDateUtc>
    <Description>sample string 4</Description>
    <LookupKey>sample string 2</LookupKey>
    <MessageAuditTypeId>bb820185-bdf9-44e9-98a8-812639a188d7</MessageAuditTypeId>
    <Name>sample string 3</Name>
  </MessageAuditTypeRepresentation>
  <MessageAuditTypeRepresentation>
    <CreatedDateUtc>2026-09-29T21:12:38.5708527+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-29T21:12:38.5708527+00:00</UpdatedDateUtc>
    <Description>sample string 4</Description>
    <LookupKey>sample string 2</LookupKey>
    <MessageAuditTypeId>bb820185-bdf9-44e9-98a8-812639a188d7</MessageAuditTypeId>
    <Name>sample string 3</Name>
  </MessageAuditTypeRepresentation>
  <MessageAuditTypeRepresentation>
    <CreatedDateUtc>2026-09-29T21:12:38.5708527+00:00</CreatedDateUtc>
    <UpdatedDateUtc>2026-09-29T21:12:38.5708527+00:00</UpdatedDateUtc>
    <Description>sample string 4</Description>
    <LookupKey>sample string 2</LookupKey>
    <MessageAuditTypeId>bb820185-bdf9-44e9-98a8-812639a188d7</MessageAuditTypeId>
    <Name>sample string 3</Name>
  </MessageAuditTypeRepresentation>
</ArrayOfMessageAuditTypeRepresentation>